/api/gateway/v2/material/findbyidFind a material by Id
Query Parameters
Id of the material
Response Body
application/json
application/json
curl -X GET "https://example.com/api/gateway/v2/material/findbyid?id=0"{ "id": 0, "attachments": [ { "kind": "Pdf", "path": "string", "pathKind": "Relative", "content": "string" } ], "categoryDescription": "string", "categoryId": 0, "code": "string", "color": "string", "colorDescription": "string", "composition": "string", "description": "string", "eanCode": "string", "extraFieldValues": [ { "displayOrder": 0, "extraField": 0, "extraFieldName": "string", "extraFieldNameResource": "string", "image": "string", "value": "string", "valueResource": "string" } ], "height": 0, "imageUrl": "string", "isWage": true, "leadTime": 0, "length": 0, "materialOptionValues": [ { "description": "string", "value": 0, "interfaceKey": "string" } ], "materialGroups": [ { "id": 0, "code": "string", "description": "string", "children": [ { "id": 0, "code": "string", "description": "string", "children": [] } ] } ], "materialKind": { "description": "string", "value": 0, "interfaceKey": "string" }, "materialStyle": { "description": "string", "value": 0, "interfaceKey": "string" }, "patternLength": 0, "patternWidth": 0, "promotionPrice": 0, "remarks": "string", "salePrice": 0, "saleUnit": "Millimeters", "shrinkTolerance": 0, "supplierCode": "string", "supplierId": 0, "supplierSbnKey": 0, "unit": "Millimeters", "validModelIds": [ "string" ], "washingSymbols": "string", "weight": 0, "width": 0}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}/api/gateway/v2/material/findbycodeFind a material by Code
Query Parameters
Code of the material
Response Body
application/json
application/json
curl -X GET "https://example.com/api/gateway/v2/material/findbycode?code=string"{ "id": 0, "attachments": [ { "kind": "Pdf", "path": "string", "pathKind": "Relative", "content": "string" } ], "categoryDescription": "string", "categoryId": 0, "code": "string", "color": "string", "colorDescription": "string", "composition": "string", "description": "string", "eanCode": "string", "extraFieldValues": [ { "displayOrder": 0, "extraField": 0, "extraFieldName": "string", "extraFieldNameResource": "string", "image": "string", "value": "string", "valueResource": "string" } ], "height": 0, "imageUrl": "string", "isWage": true, "leadTime": 0, "length": 0, "materialOptionValues": [ { "description": "string", "value": 0, "interfaceKey": "string" } ], "materialGroups": [ { "id": 0, "code": "string", "description": "string", "children": [ { "id": 0, "code": "string", "description": "string", "children": [] } ] } ], "materialKind": { "description": "string", "value": 0, "interfaceKey": "string" }, "materialStyle": { "description": "string", "value": 0, "interfaceKey": "string" }, "patternLength": 0, "patternWidth": 0, "promotionPrice": 0, "remarks": "string", "salePrice": 0, "saleUnit": "Millimeters", "shrinkTolerance": 0, "supplierCode": "string", "supplierId": 0, "supplierSbnKey": 0, "unit": "Millimeters", "validModelIds": [ "string" ], "washingSymbols": "string", "weight": 0, "width": 0}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}/api/gateway/v2/material/browseBrowse through selectable Materials
Request Body
application/json
Paging/filter options
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/gateway/v2/material/browse" \ -H "Content-Type: application/json" \ -d '{ "pageNumber": 1, "pageSize": 1 }'{ "items": [ { "id": 0, "attachments": [ { "kind": "Pdf", "path": "string", "pathKind": "Relative", "content": "string" } ], "categoryDescription": "string", "categoryId": 0, "code": "string", "color": "string", "colorDescription": "string", "composition": "string", "description": "string", "eanCode": "string", "extraFieldValues": [ { "displayOrder": 0, "extraField": 0, "extraFieldName": "string", "extraFieldNameResource": "string", "image": "string", "value": "string", "valueResource": "string" } ], "height": 0, "imageUrl": "string", "isWage": true, "leadTime": 0, "length": 0, "materialOptionValues": [ { "description": "string", "value": 0, "interfaceKey": "string" } ], "materialGroups": [ { "id": 0, "code": "string", "description": "string", "children": [ { "id": 0, "code": "string", "description": "string", "children": [] } ] } ], "materialKind": { "description": "string", "value": 0, "interfaceKey": "string" }, "materialStyle": { "description": "string", "value": 0, "interfaceKey": "string" }, "patternLength": 0, "patternWidth": 0, "promotionPrice": 0, "remarks": "string", "salePrice": 0, "saleUnit": "Millimeters", "shrinkTolerance": 0, "supplierCode": "string", "supplierId": 0, "supplierSbnKey": 0, "unit": "Millimeters", "validModelIds": [ "string" ], "washingSymbols": "string", "weight": 0, "width": 0 } ], "totalItemCount": 0}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}/api/gateway/v2/material/browseforextraBrowse through selectable Materials for a specific extra. This is used to find materials that are relevant for a specific extra in a polygon.
Request Body
application/json
Paging/filter options
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/gateway/v2/material/browseforextra" \ -H "Content-Type: application/json" \ -d '{ "pageNumber": 1, "pageSize": 1, "categoryExtraId": 0 }'{ "items": [ { "id": 0, "attachments": [ { "kind": "Pdf", "path": "string", "pathKind": "Relative", "content": "string" } ], "categoryDescription": "string", "categoryId": 0, "code": "string", "color": "string", "colorDescription": "string", "composition": "string", "description": "string", "eanCode": "string", "extraFieldValues": [ { "displayOrder": 0, "extraField": 0, "extraFieldName": "string", "extraFieldNameResource": "string", "image": "string", "value": "string", "valueResource": "string" } ], "height": 0, "imageUrl": "string", "isWage": true, "leadTime": 0, "length": 0, "materialOptionValues": [ { "description": "string", "value": 0, "interfaceKey": "string" } ], "materialGroups": [ { "id": 0, "code": "string", "description": "string", "children": [ { "id": 0, "code": "string", "description": "string", "children": [] } ] } ], "materialKind": { "description": "string", "value": 0, "interfaceKey": "string" }, "materialStyle": { "description": "string", "value": 0, "interfaceKey": "string" }, "patternLength": 0, "patternWidth": 0, "promotionPrice": 0, "remarks": "string", "salePrice": 0, "saleUnit": "Millimeters", "shrinkTolerance": 0, "supplierCode": "string", "supplierId": 0, "supplierSbnKey": 0, "unit": "Millimeters", "validModelIds": [ "string" ], "washingSymbols": "string", "weight": 0, "width": 0 } ], "totalItemCount": 0}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}/api/gateway/v2/material/exportReturns all available materials
Response Body
application/json
application/json
curl -X POST "https://example.com/api/gateway/v2/material/export"[ { "id": 0, "attachments": [ { "kind": "Pdf", "path": "string", "pathKind": "Relative", "content": "string" } ], "categoryDescription": "string", "categoryId": 0, "code": "string", "color": "string", "colorDescription": "string", "composition": "string", "description": "string", "eanCode": "string", "extraFieldValues": [ { "displayOrder": 0, "extraField": 0, "extraFieldName": "string", "extraFieldNameResource": "string", "image": "string", "value": "string", "valueResource": "string" } ], "height": 0, "imageUrl": "string", "isWage": true, "leadTime": 0, "length": 0, "materialOptionValues": [ { "description": "string", "value": 0, "interfaceKey": "string" } ], "materialGroups": [ { "id": 0, "code": "string", "description": "string", "children": [ { "id": 0, "code": "string", "description": "string", "children": [] } ] } ], "materialKind": { "description": "string", "value": 0, "interfaceKey": "string" }, "materialStyle": { "description": "string", "value": 0, "interfaceKey": "string" }, "patternLength": 0, "patternWidth": 0, "promotionPrice": 0, "remarks": "string", "salePrice": 0, "saleUnit": "Millimeters", "shrinkTolerance": 0, "supplierCode": "string", "supplierId": 0, "supplierSbnKey": 0, "unit": "Millimeters", "validModelIds": [ "string" ], "washingSymbols": "string", "weight": 0, "width": 0 }]{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}/api/gateway/v2/material/getmaterialcategoriesReturns all available material categories
Response Body
application/json
application/json
curl -X POST "https://example.com/api/gateway/v2/material/getmaterialcategories"[ { "id": 0, "description": "string", "interfaceKey": "string" }]{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}Licensee
The Licensee section contains all operations related to Licensees. In most CPQ instances, a Licensee is equal to a store. A CPQ instance can have multiple Licensees, each with multiple Employees (users).
Measurement
The measurement section contains all operation related to measuring a polygon.